Bug 1300967 - CVE-2016-1982 privoxy: invalid reads in case of corrupt chunk-encoded content [fedora-all]
CVE-2016-1982 privoxy: invalid reads in case of corrupt chunk-encoded content...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: privoxy (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2016-1982
  Show dependency treegraph
 
Reported: 2016-01-22 03:57 EST by Andrej Nemec
Modified: 2016-02-07 21:52 EST (History)
1 user (show)

See Also:
Fixed In Version: privoxy-3.0.23-3.fc23 privoxy-3.0.23-3.fc22 privoxy-3.0.23-3.el7 privoxy-3.0.23-2.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-31 21:24:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-01-22 03:57:33 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Andrej Nemec 2016-01-22 03:57:38 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1300966,1300967

# Description of your update
notes=Security fix for CVE-2016-1982

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1300966,1300967
Comment 2 Fedora Update System 2016-01-22 10:40:28 EST
privoxy-3.0.23-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb26e5cd3c
Comment 3 Fedora Update System 2016-01-22 10:40:29 EST
privoxy-3.0.23-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc7acd24c6
Comment 4 Fedora Update System 2016-01-22 10:40:29 EST
privoxy-3.0.23-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb26e5cd3c
Comment 5 Fedora Update System 2016-01-22 10:40:30 EST
privoxy-3.0.23-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc7acd24c6
Comment 6 Fedora Update System 2016-01-22 10:40:31 EST
privoxy-3.0.23-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb26e5cd3c
Comment 7 Fedora Update System 2016-01-22 10:40:32 EST
privoxy-3.0.23-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb26e5cd3c
Comment 8 Fedora Update System 2016-01-22 10:40:46 EST
privoxy-3.0.23-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-29995fbd42
Comment 9 Fedora Update System 2016-01-22 10:40:47 EST
privoxy-3.0.23-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2fac4bfaba
Comment 10 Fedora Update System 2016-01-23 22:53:53 EST
privoxy-3.0.23-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2fac4bfaba
Comment 11 Fedora Update System 2016-01-23 23:22:55 EST
privoxy-3.0.23-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fb26e5cd3c
Comment 12 Fedora Update System 2016-01-23 23:50:52 EST
privoxy-3.0.23-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-29995fbd42
Comment 13 Fedora Update System 2016-01-23 23:50:53 EST
privoxy-3.0.23-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc7acd24c6
Comment 14 Fedora Update System 2016-01-31 21:23:47 EST
privoxy-3.0.23-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-02-01 01:28:06 EST
privoxy-3.0.23-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-02-07 21:23:45 EST
privoxy-3.0.23-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-02-07 21:52:50 EST
privoxy-3.0.23-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.